Index: park_integration/AbstractFitEngine.py
===================================================================
--- park_integration/AbstractFitEngine.py	(revision d5f0f5e3f6e75cb45c25893f095c282cde4a242a)
+++ park_integration/AbstractFitEngine.py	(revision 12cd4ec1389f4ca5a333b1c90c2e3fcb1ece7bd8)
@@ -472,5 +472,7 @@
                     self.curr_thread.isquit()
                 except:
-                    raise FitAbort,"stop leastsqr optimizer"    
+                   self.handler.error("Fitting Terminated.")
+                   raise FitAbort,"The LeastSqr Fit: terminated by the user."    
+         
         return self.res
     
Index: sansview/perspectives/fitting/console.py
===================================================================
--- sansview/perspectives/fitting/console.py	(revision 8b481a51e8973e5789d300ff3797d1b91a71a6c4)
+++ sansview/perspectives/fitting/console.py	(revision 12cd4ec1389f4ca5a333b1c90c2e3fcb1ece7bd8)
@@ -95,9 +95,8 @@
         if self.isbetter:
             self.result.print_summary()
-        message = "fit Error"
+        message = "Fit Error:"
         message = str(msg)+ " \n %s"%self.result.__str__()
         wx.PostEvent(self.parent, StatusEvent(status=message,
                                    info="error", type="stop"))
-            
     def finalize(self):
         """
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 896047919d6983a6ed926f2486fef2310200e63d)
+++ sansview/perspectives/fitting/fitpage.py	(revision 12cd4ec1389f4ca5a333b1c90c2e3fcb1ece7bd8)
@@ -1876,6 +1876,6 @@
         self.Refresh()    
         #PostStatusEvent     
-        msg = "Fit completed! "
-        wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
+        #msg = "Fit completed!dddd "
+        #wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
 
     def onPinholeSmear(self, event):
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision a436b2e2a8dfa9e7e79e479f728075da0b0b8086)
+++ sansview/perspectives/fitting/fitting.py	(revision 12cd4ec1389f4ca5a333b1c90c2e3fcb1ece7bd8)
@@ -896,4 +896,5 @@
         try:
             if result == None:
+                self._update_fit_button(page_id)
                 msg= "Single Fitting did not converge!!!"
                 wx.PostEvent(self.parent, 
@@ -910,4 +911,5 @@
                                          info="warning",
                                          type="stop"))
+                self._update_fit_button(page_id)
                 return
             for uid in page_id:
@@ -924,16 +926,19 @@
                                   param_name, result.pvec,result.stderr)
                 cpage._on_fit_complete()
-
+            msg = "Completed!"
+            wx.PostEvent(self.parent, StatusEvent(status=msg))
         except ValueError:
+            self._update_fit_button(page_id)
             msg = "Single Fitting did not converge!!!"
             wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
                                                   type="stop"))
-            return   
+            return  
         except:
+            self._update_fit_button(page_id)
+            msg = "Single Fit completed but Following"
+            msg += " error occurred:%s" % sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
+                                                  type="stop"))
             raise
-            #msg = "Single Fit completed but Following"
-            #msg += " error occurred:%s" % sys.exc_value
-            #wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
-            #                                      type="stop"))
             return
        
@@ -953,4 +958,5 @@
             msg = "" 
             if result == None:
+                self._update_fit_button(page_id)
                 msg= "Complex Fitting did not converge!!!"
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
@@ -960,4 +966,5 @@
                 numpy.any(result.pvec == None) or not \
                 numpy.all(numpy.isfinite(result.pvec)):
+                self._update_fit_button(page_id)
                 msg= "Simultaneous Fitting did not converge!!!"
                 wx.PostEvent(self.parent, StatusEvent(status=msg,type="stop"))
@@ -987,6 +994,8 @@
                                   small_out,small_cov)
                 cpage._on_fit_complete()
-                
+                msg = "Fit completed!"
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
         except Exception:
+            self._update_fit_button(page_id)
             msg = "Complex Fitting did not converge!!!"
             wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
@@ -995,8 +1004,19 @@
 
         except:
+            self._update_fit_button(page_id)
             msg = "Simultaneous Fit completed"
             msg += " but Following error occurred:%s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg, type="stop"))
-   
+    
+    def _update_fit_button(self, page_id):
+        """
+        Update Fit button when fit stopped
+        
+        : parameter page_id: fitpage where the button is
+        """
+        for uid in page_id:  
+            page = self.fit_panel.get_page_by_id(uid)
+            page._on_fit_complete()
+        
     def _on_show_panel(self, event):
         """
